import QtQuick
import QtQuick.Controls

import roulette /* this is importing the target "roulette-payout" defined in CMakeLists.txt */

Window {
    height: 500
    width: 1000
    title: "Roulette Payout"
    visible: true

    Pane {
        anchors.fill: parent

        MouseArea {
            anchors.fill: parent

            onClicked: focus = true
        }

        PlayerAreaView {
            id: playerAreaView
        }

        Roulette {
            id: roulette
            height: parent.height / 1.7
            width: parent.width / 1.7

            anchors{
                top: parent.top
                right: parent.right
            }
        }

        Button {
            id: payoutButton
            text: "Payout"
            font.pointSize: 15
            highlighted: false
            onClicked: PlayerAreaModel.payout()

            anchors {
                left: roulette.left
                bottom: parent.bottom
                bottomMargin: 20
            }

            background: Rectangle {
                implicitWidth: 150
                implicitHeight: 60
                opacity: {
                    if (parent.pressed) {
                        1
                    } else if (parent.hovered) {
                        0.2
                    } else {
                        0.3
                    }
                }
                color: "#CCCCCC"
                border.width: 0
            }
        }

        Results {
        }
    }
}
